# Configuration

```
Config = {}

Config.JobCardsItems = {
    --[[
        These are default values created quickly for you. You can create a card design for each profession yourself.
    ]]
    ambulance = {
        item_card_name = "ambulance_card",
        grades = {
            [0] = {
                title = "Los Santos Medical Center",
                name = "DOCTOR IN TRAINING CARD",
                background = 1,
                amblem = 1
            },
            [1] = {
                title = "Los Santos Medical Center",
                name = "DOCTOR",
                background = 2,
                amblem = 2
            },
            [2] = {
                title = "Los Santos Medical Center",
                name = "PR. DOCTOR",
                background = 3,
                amblem = 3
            },
            [3] = {
                title = "Los Santos Medical Center",
                name = "NURSE",
                background = 4,
                amblem = 4
            },
        }
    },
    lawyer = {
        item_card_name = "lawyerpass",
        grades = {
            [0] = {
                title = "Los Santos Departmend of Justice",
                name = "Lawyer",
                background = 5,
                amblem = 5,
            },
            [1] = {
                title = "Los Santos Departmend of Justice",
                name = "Judge",
                background = 6,
                amblem = 6,
            },
            [2] = {
                title = "Los Santos Departmend of Justice",
                name = "Prosecuter",
                background = 7,
                amblem = 7,
            },
            [3] = {
                title = "Los Santos Departmend of Justice",
                name = "Presidency",
                background = 8,
                amblem = 8,
            },
        }
    },
    police = {
        item_card_name = "police_card",
        grades = {
            [0] = {
                title = "Los Santos Police Departmend",
                name = "Police Officer In Training Card",
                background = 9,
                amblem = 9,
            },
            [1] = {
                title = "Los Santos Police Departmend",
                name = "Police Officer",
                background = 10,
                amblem = 9,
            },
            [2] = {
                title = "Los Santos Police Departmend",
                name = "Police Sheff",
                background = 11,
                amblem = 9,
            },
        }
    },
    fib = {
        item_card_name = "fib_card",
        grades = {
            [0] = {
                title = "Los Santos Departmend of Justice",
                name = "FIB Agent In Training Card",
                background = 12,
                amblem = 10,
            },
            [1] = {
                title = "Los Santos Departmend of Justice",
                name = "FIB Agent",
                background = 13,
                amblem = 10,
            },
            [2] = {
                title = "Los Santos Departmend of Justice",
                name = "FIB Sheff",
                background = 14,
                amblem = 10,
            },
        }
    },
    sheriff = {
        item_card_name = "sheriff_card",
        grades = {
            [0] = {
                title = "Los Santos County Sheriff",
                name = "Sheriff In Training Card",
                background = 15,
                amblem = 11,
            },
            [1] = {
                title = "Los Santos County Sheriff",
                name = "Sheriff",
                background = 16,
                amblem = 11,
            },
            [2] = {
                title = "Los Santos County Sheriff",
                name = "Area Commander",
                background = 17,
                amblem = 11,
            },
        }
    },
}

Config.Default = {
    Items = {
        --[[
            !!! Please do not touch the [key] values!
            -> identification_card,
            -> driver_license_card,
            -> firearms_card
        ]]
        identification_card = "id_card",
        driver_license_card = "driver_license",
        firearms_card = "weaponlicense",
    },
    --- ("qb_notify" | "ox_notify" | "custom_notify") System to be used
    NotifyType = "qb_notify",
    --- Enable this if you are using inventory that supports metadata.
    --- If "true" it uses the data on the item, if "false" it uses the data of the user.
    UseMetaData = true,
    MetaDataKeys = {
        firstname = "firstname",
        lastname = "lastname",
        dateofbirth = "birthdate",
        identity = "citizenid",
        nationality = "nationality",
        gender = "gender"
    },
    -- Can a player take a ped's vehicle with player work ID Card
    BorrowOfVehicle = true,
    ---("qb_progressbar" | "ox_progressbar" | "custom_progressbar") System to be used
    ProgressBarType = "qb_progressbar",
    -- The name of the badge prop
    BadgeAnimation = {
        dict = "paper_1_rcm_alt1-9",
        anim = "player_one_dual-9",
        prop = "prop_fib_badge",
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/0r-resources/0r-idcard/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
